## r-cran-prophet 1.0+dfsg

=== DESCRIPTION ===
Package: prophet
Title: Automatic Forecasting Procedure
Version: 1.0
Date: 2021-03-08
Authors@R: c(
  person("Sean", "Taylor", email = "sjtz@pm.me", role = c("cre", "aut")),
  person("Ben", "Letham", email = "bletham@fb.com", role = "aut")
  )
Description: Implements a procedure for forecasting time series data based on
    an additive model where non-linear trends are fit with yearly, weekly, and
    daily seasonality, plus holiday effects. It works best with time series
    that have strong seasonal effects and several seasons of historical data.
    Prophet is robust to missing data and shifts in the trend, and typically
    handles outliers well.
URL: https://github.com/facebook/prophet
BugReports: https://github.com/facebook/prophet/issues
Depends: R (>= 3.4.0), Rcpp (>= 0.12.0), rlang (>= 0.3.0.1)
Imports: dplyr (>= 0.7.7), dygraphs (>= 1.1.1.4), extraDistr, ggplot2,
        grid, lubridate, methods, RcppParallel (>= 5.0.1), rstan (>=
        2.18.1), rstantools (>= 2.0.0), scales, StanHeaders, stats,
        tidyr (>= 0.6.1), xts
Suggests: knitr, testthat, readr, rmarkdown
SystemRequirements: GNU make, C++11
Biarch: true
License: MIT + file LICENSE
LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppParallel (>= 5.0.1),
        RcppEigen (>= 0.3.3.3.0), rstan (>= 2.18.1), StanHeaders (>=
        2.18.0)
LazyData: true
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-03-30 00:55:01 UTC; seant
Author: Sean Taylor [cre, aut],
  Ben Letham [aut]
Maintainer: Sean Taylor <sjtz@pm.me>
Repository: CRAN
Date/Publication: 2021-03-30 12:10:07 UTC

=== debian/changelog ===
r-cran-prophet (1.0+dfsg-5) unstable; urgency=medium

  * Save some files in source that are changed in the build process and
    copy those backups back in clean target
    Closes: #1047613
  * Lintian-overrides for custom-library-search-path
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 18:35:04 +0100

r-cran-prophet (1.0+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Rebuild against new rstan (Closes: #1012143)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 13:11:37 +0530

r-cran-prophet (1.0+dfsg-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * Test-Depends: build-essential
  * Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 00:28:34 +0530

r-cran-prophet (1.0+dfsg-2) unstable; urgency=medium

  * Packaging update

 -- Andreas Tille <tille@debian.org>  Thu, 23 Dec 2021 22:24:51 +0100

r-cran-prophet (1.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #971445)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Nov 2021 07:57:33 +0100

=== debian/control ===
Source: r-cran-prophet
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rlang,
               r-cran-dplyr,
               r-cran-dygraphs,
               r-cran-extradistr,
               r-cran-ggplot2,
               r-cran-lubridate,
               r-cran-rcppparallel,
               r-cran-rstan,
               r-cran-rstantools,
               r-cran-scales,
               r-cran-stanheaders,
               r-cran-tidyr,
               r-cran-xts,
               r-cran-bh,
               r-cran-rcppeigen
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prophet
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prophet.git
Homepage: https://cran.r-project.org/package=prophet
Rules-Requires-Root: no

Package: r-cran-prophet
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R automatic forecasting procedure
 Implements a procedure for forecasting time series data based on an
 additive model where non-linear trends are fit with yearly, weekly, and
 daily seasonality, plus holiday effects. It works best with time series
 that have strong seasonal effects and several seasons of historical
 data. Prophet is robust to missing data and shifts in the trend, and
 typically handles outliers well.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_clean:
	if [ -d src.bak ] ; then \
	    rm -rf src ; \
	    mv src.bak src ; \
	fi
	if [ -e R/stanmodels.R.bak ] ; then \
	    mv R/stanmodels.R.bak R/stanmodels.R ; \
	fi
	dh_clean

override_dh_auto_configure:
	cp -a src src.bak
	cp -a R/stanmodels.R R/stanmodels.R.bak
	dh_auto_configure

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-testthat,
        r-cran-readr,
        r-cran-rmarkdown,
        build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/prophet_([-\d.]*)\.tar\.gz
